Bug 239622 - x11-themes/qtcurve: fix build with GCC-based architectures
Summary: x11-themes/qtcurve: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-03 19:18 UTC by Piotr Kubaj
Modified: 2019-10-13 00:08 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jhale)


Attachments
patch (1004 bytes, patch)
2019-08-03 19:18 UTC, Piotr Kubaj
no flags Details | Diff
v2 (1016 bytes, patch)
2019-08-26 18:56 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (jhale)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-08-03 19:18:21 UTC
Created attachment 206244 [details]
patch

GCC9 requires upstream fix because of:
/wrkdirs/usr/ports/x11-themes/qtcurve-gtk2/work/qtcurve-a1ec5f8/.cmake_utils_base/cmake_c_macros/include_fix/qtcurve-utils/gtkprops.h:80:24: error: a reinterpret_cast is not a constant expression
   80 |                 return (GObject*)qtcContainerOf(p, Props, name)->m_w;   \
      |                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/wrkdirs/usr/ports/x11-themes/qtcurve-gtk2/work/qtcurve-a1ec5f8/.cmake_utils_base/cmake_c_macros/include_fix/qtcurve-utils/gtkprops.h:161:9: note: in expansion of macro 'DEF_WIDGET_SIG_CONN_PROPS'
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-08-08 22:16:54 UTC
This fails to patch for me:

===>  Applying distribution patches for qtcurve-1.9.0.r1_6
patch: **** can't cd to /ports/default/x11-themes/qtcurve/work/qtcurve-1.9.0-rc1: No such file or directory
*** Error code 2
Comment 2 Piotr Kubaj freebsd_committer 2019-08-24 13:14:47 UTC
(In reply to Mark Linimon from comment #1)
It builds here https://talos.anongoth.pl/data/powerpc64-default/latest-per-pkg/gtk2-qtcurve-theme-1.9.0.r1.log
Comment 3 Piotr Kubaj freebsd_committer 2019-08-26 18:56:47 UTC
Created attachment 206930 [details]
v2

It seems like that fix only worked for the slave ports. Move the patch definition so that it's only for those.
Comment 4 commit-hook freebsd_committer 2019-10-13 00:08:06 UTC
A commit references this bug:

Author: pkubaj
Date: Sun Oct 13 00:07:45 UTC 2019
New revision: 514360
URL: https://svnweb.freebsd.org/changeset/ports/514360

Log:
  x11-themes/qtcurve: fix build with GCC-based architectures

  GCC9 requires upstream fix because of:
  /wrkdirs/usr/ports/x11-themes/qtcurve-gtk2/work/qtcurve-a1ec5f8/.cmake_utils_base/cmake_c_macros/include_fix/qtcurve-utils/gtkprops.h:80:24: error: a reinterpret_cast is not a constant expression
     80 |                 return (GObject*)qtcContainerOf(p, Props, name)->m_w;   \
        |                        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  /wrkdirs/usr/ports/x11-themes/qtcurve-gtk2/work/qtcurve-a1ec5f8/.cmake_utils_base/cmake_c_macros/include_fix/qtcurve-utils/gtkprops.h:161:9: note: in expansion of macro 'DEF_WIDGET_SIG_CONN_PROPS'

  PR:		239622
  Approved by:	jhale (maintainer timeout), tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21993

Changes:
  head/x11-themes/qtcurve/Makefile
  head/x11-themes/qtcurve/distinfo